/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/drivers/wintel32/graphics/opengl/win32openglgraphics.hpp

*/

#ifndef SGX_DRIVERS_WINTEL32_OPENGL_HPP
#define SGX_DRIVERS_WINTEL32_OPENGL_HPP	1

class CWin32OpenGLEngine : public COpenGLEngine
{
public:
	static CSGXGraphicsEngine *create(const sgxString &appname, const tUINT32 width, const tUINT32 height);
	static CWin32OpenGLEngine *getWin32();
	virtual ~CWin32OpenGLEngine();

	virtual void	fullScreenMode();
	virtual void	enterWindowedMode();

private:
	static UTCTime	m_PreviousTime;

	CWin32OpenGLEngine::CWin32OpenGLEngine(const sgxString &appname, const tUINT32 width, const tUINT32 height);
	CWin32OpenGLEngine::CWin32OpenGLEngine(){}

	virtual void	idleScene();
	virtual void	runEngine(cb_pOpenGLIdleFunction *pFN, const tMEM_SIZE param);

};

#endif /* SGX_DRIVERS_WINTEL32_OPENGL_HPP */
